// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: reclosermodule/reclosermodule.proto

package openfmb.reclosermodule;

public final class Reclosermodule {
  private Reclosermodule() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistryLite registry) {
  }

  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
    registerAllExtensions(
        (com.google.protobuf.ExtensionRegistryLite) registry);
  }
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_reclosermodule_RecloserDiscreteControlXCBR_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_reclosermodule_RecloserDiscreteControlXCBR_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_reclosermodule_RecloserDiscreteControl_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_reclosermodule_RecloserDiscreteControl_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_reclosermodule_Recloser_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_reclosermodule_Recloser_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_reclosermodule_RecloserDiscreteControlProfile_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_reclosermodule_RecloserDiscreteControlProfile_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_reclosermodule_RecloserEvent_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_reclosermodule_RecloserEvent_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_reclosermodule_RecloserEventProfile_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_reclosermodule_RecloserEventProfile_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_reclosermodule_RecloserReading_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_reclosermodule_RecloserReading_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_reclosermodule_RecloserReadingProfile_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_reclosermodule_RecloserReadingProfile_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_reclosermodule_RecloserStatus_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_reclosermodule_RecloserStatus_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_reclosermodule_RecloserStatusProfile_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_reclosermodule_RecloserStatusProfile_fieldAccessorTable;

  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static  com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n#reclosermodule/reclosermodule.proto\022\016r" +
      "eclosermodule\032\tuml.proto\032\036google/protobu" +
      "f/wrappers.proto\032\037commonmodule/commonmod" +
      "ule.proto\"c\n\033RecloserDiscreteControlXCBR" +
      "\022D\n\023discreteControlXCBR\030\001 \001(\0132!.commonmo" +
      "dule.DiscreteControlXCBRB\004\200\265\030\001\"\321\001\n\027Reclo" +
      "serDiscreteControl\0226\n\014controlValue\030\001 \001(\013" +
      "2\032.commonmodule.ControlValueB\004\200\265\030\001\022,\n\005ch" +
      "eck\030\002 \001(\0132\035.commonmodule.CheckConditions" +
      "\022P\n\033recloserDiscreteControlXCBR\030\003 \001(\0132+." +
      "reclosermodule.RecloserDiscreteControlXC" +
      "BR\"\200\001\n\010Recloser\022D\n\023conductingEquipment\030\001" +
      " \001(\0132!.commonmodule.ConductingEquipmentB" +
      "\004\200\265\030\001\022.\n\nnormalOpen\030\002 \001(\0132\032.google.proto" +
      "buf.BoolValue\"\364\001\n\036RecloserDiscreteContro" +
      "lProfile\022B\n\022controlMessageInfo\030\001 \001(\0132 .c" +
      "ommonmodule.ControlMessageInfoB\004\200\265\030\001\0224\n\010" +
      "recloser\030\002 \001(\0132\030.reclosermodule.Recloser" +
      "B\010\210\265\030\001\220\265\030\001\022R\n\027recloserDiscreteControl\030\003 " +
      "\001(\0132\'.reclosermodule.RecloserDiscreteCon" +
      "trolB\010\210\265\030\001\220\265\030\001:\004\300\363\030\001\"\201\001\n\rRecloserEvent\0222" +
      "\n\neventValue\030\001 \001(\0132\030.commonmodule.EventV" +
      "alueB\004\200\265\030\001\022<\n\022statusAndEventXCBR\030\002 \001(\0132 " +
      ".commonmodule.StatusAndEventXCBR\"\322\001\n\024Rec" +
      "loserEventProfile\022>\n\020eventMessageInfo\030\001 " +
      "\001(\0132\036.commonmodule.EventMessageInfoB\004\200\265\030" +
      "\001\0224\n\010recloser\030\002 \001(\0132\030.reclosermodule.Rec" +
      "loserB\010\210\265\030\001\220\265\030\001\022>\n\rrecloserEvent\030\003 \001(\0132\035" +
      ".reclosermodule.RecloserEventB\010\210\265\030\001\220\265\030\001:" +
      "\004\300\363\030\001\"\265\002\n\017RecloserReading\022b\n\"conductingE" +
      "quipmentTerminalReading\030\001 \001(\01320.commonmo" +
      "dule.ConductingEquipmentTerminalReadingB" +
      "\004\200\265\030\001\0222\n\017diffReadingMMXU\030\002 \001(\0132\031.commonm" +
      "odule.ReadingMMXU\022*\n\tphaseMMTN\030\003 \001(\0132\027.c" +
      "ommonmodule.PhaseMMTN\022.\n\013readingMMTR\030\004 \001" +
      "(\0132\031.commonmodule.ReadingMMTR\022.\n\013reading" +
      "MMXU\030\005 \001(\0132\031.commonmodule.ReadingMMXU\"\340\001" +
      "\n\026RecloserReadingProfile\022B\n\022readingMessa" +
      "geInfo\030\001 \001(\0132 .commonmodule.ReadingMessa" +
      "geInfoB\004\200\265\030\001\0224\n\010recloser\030\002 \001(\0132\030.reclose" +
      "rmodule.RecloserB\010\210\265\030\001\220\265\030\001\022F\n\017recloserRe" +
      "ading\030\003 \003(\0132\037.reclosermodule.RecloserRea" +
      "dingB\014\210\265\030\001\220\265\030\001\230\265\030\002:\004\300\363\030\001\"\204\001\n\016RecloserSta" +
      "tus\0224\n\013statusValue\030\001 \001(\0132\031.commonmodule." +
      "StatusValueB\004\200\265\030\001\022<\n\022statusAndEventXCBR\030" +
      "\002 \001(\0132 .commonmodule.StatusAndEventXCBR\"" +
      "\327\001\n\025RecloserStatusProfile\022@\n\021statusMessa" +
      "geInfo\030\001 \001(\0132\037.commonmodule.StatusMessag" +
      "eInfoB\004\200\265\030\001\0224\n\010recloser\030\002 \001(\0132\030.recloser" +
      "module.RecloserB\010\210\265\030\001\220\265\030\001\022@\n\016recloserSta" +
      "tus\030\003 \001(\0132\036.reclosermodule.RecloserStatu" +
      "sB\010\210\265\030\001\220\265\030\001:\004\300\363\030\001B\212\001\n\026openfmb.reclosermo" +
      "duleP\001ZUgitlab.com/openfmb/psm/ops/proto" +
      "buf/go-openfmb-ops-protobuf/v2/openfmb/r" +
      "eclosermodule\252\002\026openfmb.reclosermoduleb\006" +
      "proto3"
    };
    descriptor = com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
          openfmb.Uml.getDescriptor(),
          com.google.protobuf.WrappersProto.getDescriptor(),
          openfmb.commonmodule.Commonmodule.getDescriptor(),
        });
    internal_static_reclosermodule_RecloserDiscreteControlXCBR_descriptor =
      getDescriptor().getMessageTypes().get(0);
    internal_static_reclosermodule_RecloserDiscreteControlXCBR_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_reclosermodule_RecloserDiscreteControlXCBR_descriptor,
        new java.lang.String[] { "DiscreteControlXCBR", });
    internal_static_reclosermodule_RecloserDiscreteControl_descriptor =
      getDescriptor().getMessageTypes().get(1);
    internal_static_reclosermodule_RecloserDiscreteControl_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_reclosermodule_RecloserDiscreteControl_descriptor,
        new java.lang.String[] { "ControlValue", "Check", "RecloserDiscreteControlXCBR", });
    internal_static_reclosermodule_Recloser_descriptor =
      getDescriptor().getMessageTypes().get(2);
    internal_static_reclosermodule_Recloser_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_reclosermodule_Recloser_descriptor,
        new java.lang.String[] { "ConductingEquipment", "NormalOpen", });
    internal_static_reclosermodule_RecloserDiscreteControlProfile_descriptor =
      getDescriptor().getMessageTypes().get(3);
    internal_static_reclosermodule_RecloserDiscreteControlProfile_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_reclosermodule_RecloserDiscreteControlProfile_descriptor,
        new java.lang.String[] { "ControlMessageInfo", "Recloser", "RecloserDiscreteControl", });
    internal_static_reclosermodule_RecloserEvent_descriptor =
      getDescriptor().getMessageTypes().get(4);
    internal_static_reclosermodule_RecloserEvent_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_reclosermodule_RecloserEvent_descriptor,
        new java.lang.String[] { "EventValue", "StatusAndEventXCBR", });
    internal_static_reclosermodule_RecloserEventProfile_descriptor =
      getDescriptor().getMessageTypes().get(5);
    internal_static_reclosermodule_RecloserEventProfile_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_reclosermodule_RecloserEventProfile_descriptor,
        new java.lang.String[] { "EventMessageInfo", "Recloser", "RecloserEvent", });
    internal_static_reclosermodule_RecloserReading_descriptor =
      getDescriptor().getMessageTypes().get(6);
    internal_static_reclosermodule_RecloserReading_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_reclosermodule_RecloserReading_descriptor,
        new java.lang.String[] { "ConductingEquipmentTerminalReading", "DiffReadingMMXU", "PhaseMMTN", "ReadingMMTR", "ReadingMMXU", });
    internal_static_reclosermodule_RecloserReadingProfile_descriptor =
      getDescriptor().getMessageTypes().get(7);
    internal_static_reclosermodule_RecloserReadingProfile_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_reclosermodule_RecloserReadingProfile_descriptor,
        new java.lang.String[] { "ReadingMessageInfo", "Recloser", "RecloserReading", });
    internal_static_reclosermodule_RecloserStatus_descriptor =
      getDescriptor().getMessageTypes().get(8);
    internal_static_reclosermodule_RecloserStatus_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_reclosermodule_RecloserStatus_descriptor,
        new java.lang.String[] { "StatusValue", "StatusAndEventXCBR", });
    internal_static_reclosermodule_RecloserStatusProfile_descriptor =
      getDescriptor().getMessageTypes().get(9);
    internal_static_reclosermodule_RecloserStatusProfile_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_reclosermodule_RecloserStatusProfile_descriptor,
        new java.lang.String[] { "StatusMessageInfo", "Recloser", "RecloserStatus", });
    com.google.protobuf.ExtensionRegistry registry =
        com.google.protobuf.ExtensionRegistry.newInstance();
    registry.add(openfmb.Uml.optionMultiplicityMax);
    registry.add(openfmb.Uml.optionMultiplicityMin);
    registry.add(openfmb.Uml.optionOpenfmbProfile);
    registry.add(openfmb.Uml.optionParentMessage);
    registry.add(openfmb.Uml.optionRequiredField);
    com.google.protobuf.Descriptors.FileDescriptor
        .internalUpdateFileDescriptor(descriptor, registry);
    openfmb.Uml.getDescriptor();
    com.google.protobuf.WrappersProto.getDescriptor();
    openfmb.commonmodule.Commonmodule.getDescriptor();
  }

  // @@protoc_insertion_point(outer_class_scope)
}
